org.apache.olingo.odata2.spring

## Class OlingoServerDefinitionParser

- java.lang.Object
- - org.springframework.beans.factory.xml.AbstractBeanDefinitionParser
  - - org.springframework.beans.factory.xml.AbstractSingleBeanDefinitionParser
    - - org.apache.cxf.configuration.spring.AbstractBeanDefinitionParser
      - - org.apache.cxf.jaxrs.spring.JAXRSServerFactoryBeanDefinitionParser
        - - org.apache.olingo.odata2.spring.OlingoServerDefinitionParser

- All Implemented Interfaces:
    org.springframework.beans.factory.xml.BeanDefinitionParser

      public class OlingoServerDefinitionParser
      extends org.apache.cxf.jaxrs.spring.JAXRSServerFactoryBeanDefinitionParser

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.cxf.jaxrs.spring.JAXRSServerFactoryBeanDefinitionParser

      `org.apache.cxf.jaxrs.spring.JAXRSServerFactoryBeanDefinitionParser.SpringJAXRSServerFactoryBean`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static String` | `FACTORY`
    `protected static String` | `ID`
    `protected static String` | `OLINGO_ODATA_EXCEPTION_HANDLER`
    `protected static String` | `OLINGO_ODATA_PROVIDER`
    `protected static String` | `OLINGO_ROOT_LOCATOR`
    `protected static String` | `PATH_SPLIT`
    `protected static String` | `SERVICE_BEANS`
    `protected static String` | `SERVICE_FACTORY`

    - ### Fields inherited from class org.apache.cxf.configuration.spring.AbstractBeanDefinitionParser

      `WIRE_BUS_ATTRIBUTE, WIRE_BUS_CREATE, WIRE_BUS_HANDLER, WIRE_BUS_NAME`

    - ### Fields inherited from class org.springframework.beans.factory.xml.AbstractBeanDefinitionParser

      `ID_ATTRIBUTE, NAME_ATTRIBUTE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OlingoServerDefinitionParser()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `doParse(Element element, org.springframework.beans.factory.xml.ParserContext parserContext, org.springframework.beans.factory.support.BeanDefinitionBuilder bean)`
    `protected void` | `mapAttribute(org.springframework.beans.factory.support.BeanDefinitionBuilder bean, Element e, String name, String val)`

    - ### Methods inherited from class org.apache.cxf.jaxrs.spring.JAXRSServerFactoryBeanDefinitionParser

      `hasBusProperty, mapElement, resolveId`

    - ### Methods inherited from class org.apache.cxf.configuration.spring.AbstractBeanDefinitionParser

      `addBusWiringAttribute, addBusWiringAttribute, getBeanClass, getBeanClass, getFirstChild, getIdOrName, getJaxbPackage, getSuffix, isAttribute, mapAttribute, mapElementToJaxbBean, mapElementToJaxbBean, mapElementToJaxbProperty, mapElementToJaxbProperty, mapElementToJaxbProperty, mapElementToJaxbPropertyFactory, mapToProperty, parseAttributes, parseChildElements, parseQName, processBusAttribute, processNameAttribute, setBeanClass, setFirstChildAsProperty, unmarshalFactoryString`

    - ### Methods inherited from class org.springframework.beans.factory.xml.AbstractSingleBeanDefinitionParser

      `doParse, getBeanClassName, getParentName, parseInternal`

    - ### Methods inherited from class org.springframework.beans.factory.xml.AbstractBeanDefinitionParser

      `parse, postProcessComponentDefinition, registerBeanDefinition, shouldFireEvents, shouldGenerateId, shouldGenerateIdAsFallback`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### OLINGO_ROOT_LOCATOR

          protected static final String OLINGO_ROOT_LOCATOR

      See Also:
        Constant Field Values

    - #### OLINGO_ODATA_PROVIDER

          protected static final String OLINGO_ODATA_PROVIDER

      See Also:
        Constant Field Values

    - #### OLINGO_ODATA_EXCEPTION_HANDLER

          protected static final String OLINGO_ODATA_EXCEPTION_HANDLER

      See Also:
        Constant Field Values

    - #### SERVICE_FACTORY

          protected static final String SERVICE_FACTORY

      See Also:
        Constant Field Values

    - #### SERVICE_BEANS

          protected static final String SERVICE_BEANS

      See Also:
        Constant Field Values

    - #### ID

          protected static final String ID

      See Also:
        Constant Field Values

    - #### FACTORY

          protected static final String FACTORY

      See Also:
        Constant Field Values

    - #### PATH_SPLIT

          protected static final String PATH_SPLIT

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### OlingoServerDefinitionParser

          public OlingoServerDefinitionParser()

  - ### Method Detail

    - #### mapAttribute

          protected void mapAttribute(org.springframework.beans.factory.support.BeanDefinitionBuilder bean,
                                      Element e,
                                      String name,
                                      String val)

      Overrides:
        `mapAttribute` in class `org.apache.cxf.jaxrs.spring.JAXRSServerFactoryBeanDefinitionParser`

    - #### doParse

          protected void doParse(Element element,
                                 org.springframework.beans.factory.xml.ParserContext parserContext,
                                 org.springframework.beans.factory.support.BeanDefinitionBuilder bean)

      Overrides:
        `doParse` in class `org.apache.cxf.jaxrs.spring.JAXRSServerFactoryBeanDefinitionParser`

Copyright © 2013-2023 The Apache Software Foundation. All Rights Reserved.